RedHat: RHSA-2019-4110:01 Moderate: java-1.7.1-ibm security update

    Date 05 Dec 2019
    595
    Posted By LinuxSecurity Advisories
    An update for java-1.7.1-ibm is now available for Red Hat Enterprise Linux 7 Supplementary. Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA256
    
    =====================================================================
                       Red Hat Security Advisory
    
    Synopsis:          Moderate: java-1.7.1-ibm security update
    Advisory ID:       RHSA-2019:4110-01
    Product:           Red Hat Enterprise Linux Supplementary
    Advisory URL:      https://access.redhat.com/errata/RHSA-2019:4110
    Issue date:        2019-12-05
    CVE Names:         CVE-2019-2945 CVE-2019-2962 CVE-2019-2964 
                       CVE-2019-2973 CVE-2019-2978 CVE-2019-2981 
                       CVE-2019-2983 CVE-2019-2988 CVE-2019-2989 
                       CVE-2019-2992 CVE-2019-2999 
    =====================================================================
    
    1. Summary:
    
    An update for java-1.7.1-ibm is now available for Red Hat Enterprise Linux
    7 Supplementary.
    
    Red Hat Product Security has rated this update as having a security impact
    of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
    gives a detailed severity rating, is available for each vulnerability from
    the CVE link(s) in the References section.
    
    2. Relevant releases/architectures:
    
    Red Hat Enterprise Linux Client Supplementary (v. 7) - x86_64
    Red Hat Enterprise Linux ComputeNode Supplementary (v. 7) - x86_64
    Red Hat Enterprise Linux Server Supplementary (v. 7) - ppc64, ppc64le, s390x, x86_64
    Red Hat Enterprise Linux Workstation Supplementary (v. 7) - x86_64
    
    3. Description:
    
    IBM Java SE version 7 Release 1 includes the IBM Java Runtime Environment
    and the IBM Java Software Development Kit.
    
    This update upgrades IBM Java SE 7 to version 7R1 SR4-FP55.
    
    Security Fix(es):
    
    * OpenJDK: Incorrect handling of nested jar: URLs in Jar URL handler
    (Networking, 8223892) (CVE-2019-2978)
    
    * OpenJDK: Incorrect handling of HTTP proxy responses in HttpURLConnection
    (Networking, 8225298) (CVE-2019-2989)
    
    * OpenJDK: Missing restrictions on use of custom SocketImpl (Networking,
    8218573) (CVE-2019-2945)
    
    * OpenJDK: NULL pointer dereference in DrawGlyphList (2D, 8222690)
    (CVE-2019-2962)
    
    * OpenJDK: Unexpected exception thrown by Pattern processing crafted
    regular expression (Concurrency, 8222684) (CVE-2019-2964)
    
    * OpenJDK: Unexpected exception thrown by XPathParser processing crafted
    XPath expression (JAXP, 8223505) (CVE-2019-2973)
    
    * OpenJDK: Unexpected exception thrown by XPath processing crafted XPath
    expression (JAXP, 8224532) (CVE-2019-2981)
    
    * OpenJDK: Unexpected exception thrown during Font object deserialization
    (Serialization, 8224915) (CVE-2019-2983)
    
    * OpenJDK: Integer overflow in bounds check in SunGraphics2D (2D, 8225292)
    (CVE-2019-2988)
    
    * OpenJDK: Excessive memory allocation in CMap when reading TrueType font
    (2D, 8225597) (CVE-2019-2992)
    
    * OpenJDK: Insufficient filtering of HTML event attributes in Javadoc
    (Javadoc, 8226765) (CVE-2019-2999)
    
    For more details about the security issue(s), including the impact, a CVSS
    score, acknowledgments, and other related information, refer to the CVE
    page(s) listed in the References section.
    
    4. Solution:
    
    For details on how to apply this update, which includes the changes
    described in this advisory, refer to:
    
    https://access.redhat.com/articles/11258
    
    All running instances of IBM Java must be restarted for this update to take
    effect.
    
    5. Bugs fixed (https://bugzilla.redhat.com/):
    
    1760963 - CVE-2019-2964 OpenJDK: Unexpected exception thrown by Pattern processing crafted regular expression (Concurrency, 8222684)
    1760978 - CVE-2019-2973 OpenJDK: Unexpected exception thrown by XPathParser processing crafted XPath expression (JAXP, 8223505)
    1760980 - CVE-2019-2981 OpenJDK: Unexpected exception thrown by XPath processing crafted XPath expression (JAXP, 8224532)
    1760992 - CVE-2019-2999 OpenJDK: Insufficient filtering of HTML event attributes in Javadoc (Javadoc, 8226765)
    1760999 - CVE-2019-2988 OpenJDK: Integer overflow in bounds check in SunGraphics2D (2D, 8225292)
    1761006 - CVE-2019-2978 OpenJDK: Incorrect handling of nested jar: URLs in Jar URL handler (Networking, 8223892)
    1761146 - CVE-2019-2992 OpenJDK: Excessive memory allocation in CMap when reading TrueType font (2D, 8225597)
    1761262 - CVE-2019-2983 OpenJDK: Unexpected exception thrown during Font object deserialization (Serialization, 8224915)
    1761266 - CVE-2019-2962 OpenJDK: NULL pointer dereference in DrawGlyphList (2D, 8222690)
    1761596 - CVE-2019-2945 OpenJDK: Missing restrictions on use of custom SocketImpl (Networking, 8218573)
    1761601 - CVE-2019-2989 OpenJDK: Incorrect handling of HTTP proxy responses in HttpURLConnection (Networking, 8225298)
    
    6. Package List:
    
    Red Hat Enterprise Linux Client Supplementary (v. 7):
    
    x86_64:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-plugin-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    
    Red Hat Enterprise Linux ComputeNode Supplementary (v. 7):
    
    x86_64:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    
    Red Hat Enterprise Linux Server Supplementary (v. 7):
    
    ppc64:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.ppc64.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.ppc64.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.ppc64.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.ppc64.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.ppc64.rpm
    
    ppc64le:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.ppc64le.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.ppc64le.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.ppc64le.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.ppc64le.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.ppc64le.rpm
    
    s390x:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.s390x.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.s390x.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.s390x.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.s390x.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.s390x.rpm
    
    x86_64:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-plugin-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    
    Red Hat Enterprise Linux Workstation Supplementary (v. 7):
    
    x86_64:
    java-1.7.1-ibm-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-demo-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-devel-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-jdbc-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-plugin-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    java-1.7.1-ibm-src-1.7.1.4.55-1jpp.1.el7.x86_64.rpm
    
    These packages are GPG signed by Red Hat for security.  Our key and
    details on how to verify the signature are available from
    https://access.redhat.com/security/team/key/
    
    7. References:
    
    https://access.redhat.com/security/cve/CVE-2019-2945
    https://access.redhat.com/security/cve/CVE-2019-2962
    https://access.redhat.com/security/cve/CVE-2019-2964
    https://access.redhat.com/security/cve/CVE-2019-2973
    https://access.redhat.com/security/cve/CVE-2019-2978
    https://access.redhat.com/security/cve/CVE-2019-2981
    https://access.redhat.com/security/cve/CVE-2019-2983
    https://access.redhat.com/security/cve/CVE-2019-2988
    https://access.redhat.com/security/cve/CVE-2019-2989
    https://access.redhat.com/security/cve/CVE-2019-2992
    https://access.redhat.com/security/cve/CVE-2019-2999
    https://access.redhat.com/security/updates/classification/#moderate
    
    8. Contact:
    
    The Red Hat security contact is . More contact
    details at https://access.redhat.com/security/team/contact/
    
    Copyright 2019 Red Hat, Inc.
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1
    
    iQIVAwUBXekgqNzjgjWX9erEAQjFXQ/9H4ipNBBaZjcIS4PIMLAEIgKhmZ+5vgED
    VIKzFPAQylZMLrus4px9Loc6TFniCB/aG8D4iaERw+uRBPNOEihDjfTYem7XEIIs
    8ifk1nfZCkbEbgFmfCJMpwFMWC/feIyHO78jLgkZqsgpt+RqL7MQvL2x1u+eDt22
    v/rnnnGX2i1WMdRljN68ak2VzdT5hlLKiGURTS1rk3N1ulPV8TB5yYVVXjl1jbTd
    GY7s71tBFr1vhTDAJH7dFL/QIxLTvmelGe5HA704o4CAYe62l0/QTyO1IuM4+U5o
    Si25m+/mJESNQ2NACMuO7RpW3bFmptbeY/44Sp0mzLVjGZXRXW147ydfO0qs87qx
    HlsLzdmtjwjq5frlLU1GuWfQ9BdJ0WLDqHagsp+9gkisVgbiuiETeg9qlctnfSGF
    CwnMMhX2TJ+jt6CA7Txs5bK4IviP+VO9y2hq+fJTk34quwK6123Bhy0lD5M69i2W
    KqUabxQrBiwog8f8DTf38jpDc8zBx3FW5ik7UrWTExqYHXeUpZUicbfek8f+hB9/
    2L54h9JbTKMgSd1srojZgr1Dr0yAPz0xd9PfDlruTlqY4rPstWb0u0Fry33HBtJM
    Lj2OCooVOOJ+SkwhFEK3yGekcD3Sentp8dffLPuhVEtwF9x66auwVuBrd+3T8ntf
    GNaEpOw2H0Q=
    =UP3G
    -----END PGP SIGNATURE-----
    
    --
    RHSA-announce mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://www.redhat.com/mailman/listinfo/rhsa-announce
    

    LinuxSecurity Poll

    Have you ever used tcpdump for network troubleshooting or debugging?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 2 answer(s).
    /main-polls/36-have-you-ever-used-tcpdump-for-network-troubleshooting-or-debugging?task=poll.vote&format=json
    36
    radio
    [{"id":"125","title":"Yes","votes":"36","type":"x","order":"1","pct":80,"resources":[]},{"id":"126","title":"No ","votes":"9","type":"x","order":"2","pct":20,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.